/***************************************************************************
                          cproprietes.cpp  -  description
                             -------------------
    begin                : Sun Jul 2 2000
    copyright            : (C) 2000 by Eric Coquelle
    email                : coquelle@caramail.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "cproprietes.h"

CProprietes::CProprietes(QWidget *parent, const char *name) : QDialog(parent,name,true){
	initDialog();
	
	//Aditionnal init
	setCaption(i18n("Proprieties"));
	lTaille->setAlignment(Qt::AlignRight);
	cbPermissions->setChecked(false);
	
	connect(QPushButton_1,SIGNAL(clicked()), SLOT(accept()) );
}

CProprietes::~CProprietes(){
}

/** set the path to be displayed of selected
item in the listview */
void CProprietes::setFilePath( QString path ){
	lPath->setText(path);
}

/** set the name of the selected file */
void CProprietes::setFileName( QString nom ){
	lNomFichier->setText(nom);
}

/** set the permissions of the selected file */
void CProprietes::setPermission( QString perm ){
	cbPermissions->setChecked(true);
	lPermission->setText(perm);
}

/** set the size which the selected file will
occupy on disk */
void CProprietes::setSize( QString size ){
	lTaille->setText(size);
}

#include "cproprietes.moc"
