#include "cutt.h"


void cuttFichier::End() {

  fclose(fichierUn);
  return;
}

cuttFichier::cuttFichier() {
	Taille=1450000;
}

cuttFichier::~cuttFichier() {
}

void cuttFichier::Cut(const unsigned int Nbr, const long T, const long Tb) {
	int i;
  sprintf(NomExt, "%s.%02d", Nom1, Nbr);
  fichierDeux = fopen(NomExt, "wb");
  for (i = 1; i <= T; i++)
	{
	  MaxL = fread(Tab, 1, TailleTampon, fichierUn);
	  fwrite(Tab, 1, MaxL, fichierDeux);
	}

  MaxL = fread(Tab, 1, Tb, fichierUn);

  fwrite(Tab, 1, MaxL, fichierDeux);

  fclose(fichierDeux);

}

void cuttFichier::Concatene()
{
	int i;
	int j;
  fichierUn=fopen(Nom1,"wb");
  if(fichierUn==NULL)
  		return;
	for(i=1;i<99;i++)
	{
		sprintf(NomExt, "%s.%02d", Nom1, i);

		fichierDeux = fopen(NomExt, "rb");
		if(fichierDeux==NULL)
		{
			End();
			return;
		}

		fseek(fichierDeux, 0, SEEK_END);
		Taille=ftell(fichierDeux);
		fseek(fichierDeux, 0, SEEK_SET);
		blocPleineTaille = Taille / TailleTampon;
		blocResiduel = Taille % TailleTampon;

    for (j = 1; j <= blocPleineTaille; j++)
		{
			MaxL = fread(Tab, 1, TailleTampon, fichierDeux);
			fwrite(Tab, 1, MaxL, fichierUn);
		}
		MaxL = fread(Tab, 1, blocResiduel, fichierDeux);
		fwrite(Tab, 1, MaxL, fichierUn);
		fclose(fichierDeux);
	}
  fclose(fichierUn);
}

/*Start to cutt or uncutt an archive
	operation==0 means cutt
	operation ==1 means uncutt
*/
int cuttFichier::Begin(const char* nomFichier, int operation, int size, const char* directory) {
	//nomFichier never ends by .01
	int i;

	Taille=size;
  strcpy(Nom1,nomFichier);

  sprintf(NomExt, "%s.01", Nom1);

 	if(operation==0)
	{
		strcpy(Nom1,nomFichier);
    	if(directory==NULL)
    	{
			if ((fichierUn = fopen(Nom1, "rb")) == NULL)
			{
				//File not found
				return 1;
			}
 		}
	 	else
 			fichierUn = fopen(directory, "rb");
		fseek(fichierUn, 0, SEEK_END);
		Size=ftell(fichierUn);
		fseek(fichierUn, 0, SEEK_SET);

		if (Size < Taille)
		{
			//Nothing to do -> bye
			End();
			return 2;
		}

		NbrBlocks = Size / Taille;

		if (NbrBlocks > 99)
		{
			//Qui a 100 disquettes sous la main ?
			End();
			return 3;
		}

		blocPleineTaille = Taille / TailleTampon;
		blocResiduel = Taille % TailleTampon;

		for (i = 1; i<= NbrBlocks; i++)
			Cut(i, blocPleineTaille, blocResiduel);

		blocResiduel = Size % Taille;

		if (blocResiduel != 0)
			Cut(NbrBlocks+1, blocResiduel / TailleTampon, blocResiduel % TailleTampon);

		fclose(fichierUn);

		return 0;

  }
	Concatene();
	return 0;
}
