/***************************************************************************
                          FILENAME  -  description                              
                             -------------------                                         
    begin                : DATE                                           
    copyright            : (C) YEAR by AUTHOR                         
    email                : EMAIL                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include "cwizardstep1.h"

CWizardStep1::CWizardStep1(QWidget *parent, const char *name) : QDialog(parent,name,true){
	initDialog();
	
	//Additionnal init
	QLabel_Wiz->setPixmap(QPixmap(BarIcon("karchiveur_wizard_large.png")));
	setCaption(i18n("KArchiver wizard step 1"));
	
	connect(boutonannuler, SIGNAL(clicked()), SLOT(reject()));
	connect(boutonsuivant, SIGNAL(clicked()), SLOT(accept()));	
}

CWizardStep1::~CWizardStep1(){
}

/** get wether it's a patch or an install wizard */
int CWizardStep1::getTypeOperation()
{
	if(radiopatch->isChecked())
		return 0;
	else if(radioinstall->isChecked())
		return 1;
	else if(radioconvertir->isChecked())
		return 2;
	return -1;		
}
#include "cwizardstep1.moc"
