#ifndef __CUTT_H__
#define __CUTT_H__

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <kapp.h>


#define TailleTampon 50000

class cuttFichier
{
	public:
	cuttFichier();
	~cuttFichier();
	/* split the archive in Nbr parts, of T bytes, the ending block  of Tb bytes */
	void Cut(const unsigned int Nbr, const long T, const long Tb);
	/* Unsplit the archive */
	void Concatene();
	/* Start the operations on nomFichier (never end with .01)
			Split it if operation=0, else unsplit it*/
	int Begin(const char* nomFichier, int operation, int size=1450000, const char* directory=NULL);
	/*close the resources*/
	void End();

	private:
 char  Tab[TailleTampon];
 char  Ch, Nom1[128], NomExt[128];
 long  Taille, Size, blocPleineTaille, blocResiduel;
 int   NbrBlocks, MaxE, MaxL;
 FILE  *fichierUn, *fichierDeux;
};

#endif
