/***************************************************************************
                          FILENAME  -  description                              
                             -------------------                                         
    begin                : DATE                                           
    copyright            : (C) YEAR by AUTHOR                         
    email                : EMAIL                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include "cwizardstep2.h"
#include <klocale.h>

CWizardStep2::CWizardStep2(QWidget *parent, const char *name) : QDialog(parent,name,true){
	initDialog();
	
	//Aditionnal init
	setCaption(i18n("Installation wizard step 3"));
	slotActiveInstall(0);
  boutonSuivant2->setFocus();
		
	connect(boutonPrecedent2, SIGNAL(clicked()), this, SLOT(reject()));
	connect(boutonSuivant2, SIGNAL(clicked()), this, SLOT(accept()));
	connect(QButtonGroup_1, SIGNAL(clicked(int)), this, SLOT(slotActiveInstall(int)));	
}

CWizardStep2::~CWizardStep2(){
}

/** the user can su root, so we can make install */
void CWizardStep2::slotActiveInstall(int valeur)
{
	typeInstall=valeur;
	
	if(valeur<2)
	{	
		lemakeinstall->setEnabled(true);
		label2_4->setEnabled(true);
	}
	else
	{	
		lemakeinstall->setEnabled(false);
		label2_4->setEnabled(false);
	}	
}
#include "cwizardstep2.moc"
