/****************************************************************************
** $Id: dirview.h,v 1.2 2001/10/12 08:15:01 coquelle Exp $
**
** Copyright (C) 1992-1998 Troll Tech AS.  All rights reserved.
**
** This file is part of an example program for Qt.  This example
** program may be used, distributed and modified without limitation.
**
*****************************************************************************/

#ifndef DIRVIEW_H
#define DIRVIEW_H

#include <qlistview.h>
#include <qstring.h>
#include <qfile.h>
#include <qpixmap.h>

#include <kstddirs.h>


class Directory : public QListViewItem
{
public:
    Directory( QListView * parent );
    Directory( Directory * parent, QString filename, QString image, bool voirfich );

    QString text( int column ) const;

    QString fullName();

    void setOpen( bool );
    void setup();
		void setDisplayFiles(bool);

private:
   QFile f;
	QPixmap im;
	QListViewItem *lv;
   Directory* p;
   bool readable;
	bool fichiers;
};


#endif







